#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1d527cfe, "module_layout" },
	{ 0x3e96b68e, "param_ops_int" },
	{ 0xe43deb01, "param_ops_string" },
	{ 0xbb29b267, "__gcov_merge_add" },
	{ 0x84a4b45d, "__gcov_exit" },
	{ 0xdceb3072, "__gcov_init" },
	{ 0xdb7305a1, "__stack_chk_fail" },
	{ 0x4fd535f1, "kthread_stop" },
	{ 0xe40f9c0c, "wait_for_completion" },
	{ 0x25748526, "wake_up_process" },
	{ 0x9827de05, "kthread_create_on_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1000e51, "schedule" },
	{ 0x7ff27190, "current_task" },
	{ 0x9b96330, "complete" },
	{ 0xfbc14a59, "filp_close" },
	{ 0x27e1a049, "printk" },
	{ 0x53310818, "vfs_getattr" },
	{ 0x76823276, "filp_open" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";


MODULE_INFO(srcversion, "1A97F2E36899CC218852E0C");
MODULE_INFO(rhelversion, "8.5");
